App\ContactBundle\Entity\ContactMethod:
  type: entity
  table: contact_method
  id:
    id:
      type: string
      unique: true
      generator:
        strategy: CUSTOM
      customIdGenerator:
        class: Ramsey\Uuid\Doctrine\UuidGenerator
  fields:
    method_name:
      type: string
      length: 255